org.apache.ignite.streamer.index

## Class StreamerIndexProviderAdapter.EventTrackingEntry<E,K,V>

- java.lang.Object
- - org.apache.ignite.streamer.index.StreamerIndexProviderAdapter.Entry<E,K,V>
  - - org.apache.ignite.streamer.index.StreamerIndexProviderAdapter.EventTrackingEntry<E,K,V>

All Implemented Interfaces:
  StreamerIndexEntry<E,K,V>

Enclosing class:
  StreamerIndexProviderAdapter<E,K,V>

    protected static class StreamerIndexProviderAdapter.EventTrackingEntry<E,K,V>
    extends StreamerIndexProviderAdapter.Entry<E,K,V>

Entry with index policy `StreamerIndexPolicy.EVENT_TRACKING_ON`.

### Constructor Summary

Constructors
Constructor and Description
`StreamerIndexProviderAdapter.EventTrackingEntry(Collection<E> evts, K key, V val, StreamerIndexProviderAdapter.IndexKey<V> idxKey)`

### Method Summary

Methods
`Collection<E>` `events()` Gets events associated with given index key and value.
`String` `toString()`

### Methods inherited from class org.apache.ignite.streamer.index.StreamerIndexProviderAdapter.Entry

`equals, hashCode, key, keyIndex, value`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamerIndexProviderAdapter.EventTrackingEntry

    public StreamerIndexProviderAdapter.EventTrackingEntry(Collection<E> evts,
                                                   K key,
                                                   V val,
                                                   @Nullable
                                                   StreamerIndexProviderAdapter.IndexKey<V> idxKey)

Parameters:
  `evts` - Events.
  `key` - Key.
  `val` - Value.
  `idxKey` - Key index.

### Method Detail

#### events

    public Collection<E> events()

Gets events associated with given index key and value.

Events are tracked only if `StreamerIndexProvider.getPolicy()` is set to `StreamerIndexPolicy.EVENT_TRACKING_ON` or `StreamerIndexPolicy.EVENT_TRACKING_ON_DEDUP`.

Returns:
  Events associated with given index key and value or `null` if event tracking is off.

#### toString

    public String toString()

Overrides:
  `toString` in class `StreamerIndexProviderAdapter.Entry<E,K,V>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015